summaryrefslogtreecommitdiff
path: root/dev-ruby/ruby-macho/ruby-macho-4.0.1.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-03-15 08:22:43 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-03-15 08:22:43 +0000
commit8c2a7ccb50c44a7923334bb8b2b163741780475e (patch)
treebdd28f225008dacaa0f9f75670acd8985acb558f /dev-ruby/ruby-macho/ruby-macho-4.0.1.ebuild
parent2989ed80f1438211579932b8d732b23d756308ff (diff)
downloadsrcux-8c2a7ccb50c44a7923334bb8b2b163741780475e.tar.gz
srcux-8c2a7ccb50c44a7923334bb8b2b163741780475e.tar.xz
srcux-8c2a7ccb50c44a7923334bb8b2b163741780475e.zip
Adding metadata
Diffstat (limited to 'dev-ruby/ruby-macho/ruby-macho-4.0.1.ebuild')
-rw-r--r--dev-ruby/ruby-macho/ruby-macho-4.0.1.ebuild23
1 files changed, 23 insertions, 0 deletions
diff --git a/dev-ruby/ruby-macho/ruby-macho-4.0.1.ebuild b/dev-ruby/ruby-macho/ruby-macho-4.0.1.ebuild
new file mode 100644
index 000000000000..0bea149e0afa
--- /dev/null
+++ b/dev-ruby/ruby-macho/ruby-macho-4.0.1.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+RUBY_FAKEGEM_GEMSPEC="ruby-macho.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A library for viewing and manipulating Mach-O files in Ruby"
+HOMEPAGE="https://github.com/Homebrew/ruby-macho"
+SRC_URI="https://github.com/Homebrew/ruby-macho/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~x86"
+
+all_ruby_prepare() {
+ # Avoid benchmarks with additional dependencies
+ rm -f test/bench.rb || die
+ sed -i -e '/test\/bench/ s:^:#:' Rakefile || die
+}